Package org.opensaml.security.credential.impl

# Class ChainingCredentialResolver

java.lang.Object
org.opensaml.security.credential.impl.AbstractCredentialResolver
org.opensaml.security.credential.impl.AbstractChainingCredentialResolver<CredentialResolver>
org.opensaml.security.credential.impl.ChainingCredentialResolver

All Implemented Interfaces:
  `Resolver<Credential,CriteriaSet>`, `CredentialResolver`

public class ChainingCredentialResolver extends AbstractChainingCredentialResolver<CredentialResolver>
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the simple `CredentialResolver` type.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.security.credential.impl.AbstractChainingCredentialResolver

`AbstractChainingCredentialResolver.CredentialIterable, AbstractChainingCredentialResolver.CredentialIterator`

## Constructor Summary

Constructors
Constructor
Description
`ChainingCredentialResolver(List<CredentialResolver> resolverChain)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.security.credential.impl.AbstractChainingCredentialResolver

`getResolverChain, resolve`

### Methods inherited from class org.opensaml.security.credential.impl.AbstractCredentialResolver

`resolveSingle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChainingCredentialResolver

public ChainingCredentialResolver(@Nonnull List<CredentialResolver> resolverChain)
Constructor.

Parameters:
  `resolverChain` - the credential resolver chain